Error happened when I run make

by liangta...@gmail.com » Thu, 05 Mar 2009 11:39:26 GMT


Sponsored Links
 iangta...@linux-gdr3:~/android> make
build/core/product_config.mk:211: WARNING: adding test OTA key
============================================
TARGET_PRODUCT=generic
TARGET_BUILD_VARIANT=eng
TARGET_SIMULATOR=
TARGET_BUILD_TYPE=release
TARGET_ARCH=arm
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=
============================================
build/core/main.mk:180: implicitly installing apns-conf_sdk.xml
build/core/copy_headers.mk:15: €ut/target/product/generic/
obj/include/libpv/getactualaacconfig.h
build/core/copy_headers.mk:15: €ut/target/product/generic/
obj/include/libpv/getactualaacconfig.hhost Java: clearsilver (out/host/common/obj/JAVA_LIBRARIES/
clearsilver_intermediates/classes)
javac: 1.5: javac: 9999999: javac: unrecognized option '-target'
javac: unrecognized option '-Xmaxerrs'
external/clearsilver/java-jni/CS.java:9: error: HDF cannot be resolved
to a type
protected HDF globalHDF;
^^^
external/clearsilver/java-jni/CS.java:10: error: HDF cannot be
resolved to a type
protected HDF localHDF;
^^^
external/clearsilver/java-jni/CS.java:13: error: JNI cannot be
resolved
JNI.loadLibrary();
^^^
external/clearsilver/java-jni/CS.java:16: error: HDF cannot be
resolved to a type
public CS(HDF ho) {
^^^
external/clearsilver/java-jni/CS.java:17: error: globalHDF cannot be
resolved or is not a field
this.globalHDF = null;
^^^^^^^^^
external/clearsilver/java-jni/CS.java:18: error: localHDF cannot be
resolved or is not a field
this.localHDF = ho;
^^^^^^^^
external/clearsilver/java-jni/CS.java:23: error: HDF cannot be
resolved to a type
public CS(HDF ho, HDF global) {
^^^
external/clearsilver/java-jni/CS.java:23: error: HDF cannot be
resolved to a type
public CS(HDF ho, HDF global) {
^^^
external/clearsilver/java-jni/CS.java:26: error: globalHDF cannot be
resolved or is not a field
this.globalHDF = global;
^^^^^^^^^
external/clearsilver/java-jni/CS.java:33: error: HDF cannot be
resolved to a type
public void setGlobalHDF(HDF global) {
^^^
external/clearsilver/java-jni/CS.java:35: error: globalHDF cannot be
resolved or is not a field
this.globalHDF = global;
^^^^^^^^^
external/clearsilver/java-jni/CS.java:39: error: HDF cannot be
resolved to a type
public HDF getGlobalHDF() {
^^^
external/clearsilver/java-jni/CS.java:40: error: globalHDF cannot be
resolved or is not a field
return this.globalHDF;
^^^^^^^^^
external/clearsilver/java-jni/CS.java:58: error: fileLoader cannot be
resolved
_parseFile(csptr, filename, fileLoader != null);
^^^^^^^^^^
external/clearsilver/java-jni/CS.java:81: error: CSFileLoader cannot
be resolved to a type
CSFileLoader aFileLoader = fileLoader;
^^^^^^^^^^^^
external/clearsilver/java-jni/CS.java:81: error: fileLoader cannot be
resolved
CSFileLoader aFileLoader = fileLoader;
^^^^^^^^^^
external/clearsilver/java-jni/CS.java:85: error: localHDF cannot be
resolved
String result = aFileLoader.load(localHDF, filename);
^^^^^^^^
external/clearsil



Error happened when I run make

by David Turner » Thu, 05 Mar 2009 12:57:43 GMT


 avac: unrecognized option '-target'
javac: unrecognized option '-Xmaxerrs'

seem to indicate a problem with your JavaC compiler. Are you sure you're
using the JDK listed in the requirements.
Do you have CDPATH defined in your environment. I believe it sometimes
creates problems during the build process.

What is your exact Linux distribution ? 32/64 bit ?

2009/3/5 liangta...@gmail.com <liangta...@gmail.com>


--~--~---------~--~----~------------~-------~--~----~

-~----------~----~----~----~------~----~------~--~---


Sponsored Links


Error happened when I run make

by liangta...@gmail.com » Thu, 05 Mar 2009 23:38:46 GMT


 avid,
My OS is openSUSE 11,32bit. The Javac's version is 4.3. CDPATH is not
defined in my environment.
Can you give me more information?
Thank you!!!

On 3 87 David Turner <di...@android.com> wrote:
--~--~---------~--~----~------------~-------~--~----~

-~----------~----~----~----~------~----~------~--~---



Error happened when I run make

by David Turner » Fri, 06 Mar 2009 10:37:40 GMT


 his is strange because -target should be recognized by javac, see
http://java.sun.com/j2se/1.3/docs/tooldocs/win32/javac.html#options

Which exact version of the JDK are you using ? As far as I understand only
Sun's JDK 1.5 is really supported

On Fri, Mar 6, 2009 at 12:38 AM, liangta...@gmail.com
<liangta...@gmail.com>wrote:


--~--~---------~--~----~------------~-------~--~----~

-~----------~----~----~----~------~----~------~--~---



Error happened when I run make

by liangta...@gmail.com » Fri, 06 Mar 2009 10:47:01 GMT


 i,
You are right.The javac has a problem.And I have reinstalled JAVA.
Thank you!

On 3 87 David Turner <di...@android.com> wrote:
--~--~---------~--~----~------------~-------~--~----~

-~----------~----~----~----~------~----~------~--~---



Other Threads

1. About Monkey -f [scriptfile] option

Hi

I am basically running monkey on android emulator.

Can any one please explain how to use "-f" [scriptfile] option while
running monkey?

do we need to write any script and pass it in monkey command?

If yes then in which scripting language we need to write this script

Please provide the details.



--

2. will older phones be able to upgrade to 2.0?

i am still considering whether there is any point in moving to
android
from windows mobile, since one of my main gripes was that, even
though
the hardware was capable, the newer versions of windows mobile were
not released for slightly older devices.
if there is any chance of a similar problem in android, then i will
think again about switching, especially since the iphone has been
receiving regular updates even for the old 2g version which was
released a few years ago.
basically i would like to see some long(er)-term support for older
devices.

--

3. Terminales android

4. Listing issue in Android Market

5. Android GUI customization

6. first app - please check and tell suggestions

7. Calling all users!